{% extends '::base.html.twig' %} 

{% block title %}Lista Negra Telefonica{% endblock %}

{% block stylesheets %}
	<style>
		.lt_libre{
			background-color: #4FC96F;
			font-size: medium;
			font-weight: 700;
		}
		.lt_bloqueado{
			background-color: #C94F4F;
			font-size: medium;
			font-weight: 700;
		}
		#form_Estatus{
			margin-left: 10px;
		}
		#form_Enviar{
			margin-top: 25px;
			margin-left: 25px;
		}
		#form_archivo{
			width: 105%;
			height: 35px;
			padding: 0px;
		}
		#form>ul{
			display:none;
		}
	</style>
{% endblock %}
{% block body %}
<!--BARRA DE MENUS-->
	<div class="container" style="width:97%; margin-top:15px;">
		



      <div class="at_crcobranza">
			 <div id="bt_opmenu">
			 	{{form(form_lnt)}}			 	
      		</div>
      	<div class="table-responsive">	
      	<div style="text-align: -moz-left;">
      		{{form(form_new)}}
      	</div>	
      		<table id='tbl_operaciones' class="table table-bordered">
				<thead class='head_table'>
					<tr>
						<td>Número Telefonico</td>
						<td>En Lista Negra</td>
						<td>Activar/Desactivar</td>
					</tr>
				</thead>
				<tbody id="body_tbl_operaciones" style="background: white;">
						{% for entity in telefonos %}
					<tr>
						<td>{{ entity.numero }}</td>
							{% if entity.esListaNegra == false %}
							    <td class="lt_libre"> LIBRE </td>
							    <td><button type="button" class="btn btn-danger" onclick="bloquear({{ entity.idTelefono }})">Bloquear</button></td>
							{% else %}
							    <td class="lt_bloqueado"> BLOQUEADO </td>
							    <td><button type="button" class="btn btn-success" onclick="liberar({{ entity.idTelefono }})">Liberar</button></td>
							{% endif %}
					</tr>	
						{% endfor %}	
				</tbody>
			</table>	
		</div>					
      </div>



<!--POP-UP PARA CARGA DE EXCEL LISTA NEGRA TELEFONICA-->

      	<div class="modal fade modal_base" id="pop_cargaExcel" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
		  <div class="modal-dialog ">
		    <div class="modal-content">
			      	<div class="modal-header">
			      		<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
			        	<h4 class="modal-title" id="myModalLabel">Carga de Excel <b>LISTAS NEGRAS TELEFONICAS</b></h4>
			      	</div>
				    <div class="modal-body">
				    		{{form(form_excel)}}
				    </div>	
		    </div>	
		  </div>
		</div>


	</div>
{% endblock %}
{% block javascripts %}
	<script>
		$(document).ready(function() {
        	var table = $('#tbl_operaciones').DataTable({
        					"language":DataTables.languaje.es					
        				});

        	$( "select" ).addClass( "form-control" );
        	$( "input[type='text']" ).addClass( "form-control" );        	
			$( "input[type='search']").addClass( "form-control" );
        	$( "#tbl_operaciones_length" ).addClass( "form-inline" ); 
        	$( "#tbl_operaciones_filter" ).addClass( "form-inline" );
       
    	});

    	function loadPedidos(){
			showLoading("Buscando...");
		}

		function bloquear(idTel){
			showLoading("Bloqueando Número");
				esBloqueado(idTel,function(respuesta){
					if(respuesta.estatus == 1){
						hideLoading();
						alert(respuesta.mensaje);
						$('#form_Consultar').click();
					}else{
						hideLoading();
						alert(respuesta.mensaje);
					}
				});
		}

		function liberar(idTel){
			showLoading("Liberando Número");
			esLiberado(idTel,function(respuesta){
					if(respuesta.estatus == 1){
						hideLoading();
						alert(respuesta.mensaje);
						$('#form_Consultar').click();
					}else{
						hideLoading();
						alert(respuesta.mensaje);
					}
				});
		}

		function esBloqueado(idTel,callback){
			var tipo = "B"
			$.post("../../listaNegraNumeros",{
					idTel:idTel,
					tipo:tipo
			},function(respuesta){
					callback(respuesta);
			});
		}


		function esLiberado(idTel,callback){
			var tipo = "L";
			$.post("../../listaNegraNumeros",{
					idTel:idTel,
					tipo:tipo
			},function(respuesta){
					callback(respuesta);
			});
		}

		function GuardarNumero(){
			var newNum = $('#form_newNumeroTelefonico').val();
			if(newNum){
				showLoading('Almacenando número');
			}
		}
		function NuevoNumero (){
			$('#pop_cargaExcel').modal({
		      backdrop: 'static',
		      keyboard: false
		    });
		}

	</script>
{% endblock %}